Bug 186015 - Sun Type6 keyboard not working in X11
Summary: Sun Type6 keyboard not working in X11
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-21 00:33 UTC by dann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-25 01:14:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dann 2006-03-21 00:33:51 UTC
Description of problem:
I upgraded today from FC4 to FC5 and after the upgrade the Sun Type6 keyboard
that I have stopped working correctly. 
It seems that the keys are shifted one position to the left, i.e. 
pressing q outputs TAB, pressing w outputs q, pressing e outputs w, etc, etc
 
I have this in xorg.conf in the keyboard section:

	Option	    "XkbModel" "type6"
	Option	    "XkbRules" "sun"
	Option	    "XkbLayout" "us"

Everything worked fine with this in FC4.

If I comment out the XkbRules option then the keyboard works correctly, but the
Sun specific keys (Find, Cut, Stop, etc etc) are not working and the Meta key is
mapped to Super.

Comment 1 Mike A. Harris 2006-03-25 01:14:04 UTC
FC5 provides xkeyboard-config 0.8, which is the replacement for the X.Org
supplied xkbdata (which is unmaintained).  Certain xkb configurations need
to be manually reconfigured to use the new layout names, etc. as some of
them have changed in xkeyboard-config.

xkeyboard-config does provide some level of backward compatibility support
for old configurations, but it is not yet complete.  You can file a bug
report at http://bugs.freedesktop.org in the "xkeyboard-config" component
however though if you would like upstream to consider adding backward
compatibilty for the old config syntax.



Note You need to log in before you can comment on or make changes to this bug.